On Apr 21, 2009, at 20:53, Sunny Bak wrote:
> I installed ruby 1.8.7 and now I am trying to install rubygem 1.3.2.
> (red hat linux)
>
> Please help me what I am doing wrong. It seems like I didn't set the
> path right somewhere.
>
> cd rubygem-1.3.2/
> ruby setup.rb --prefix=/usr/local/rubygems
> #I added /usr/local/rubygems/bin to the path.

Why did you use --prefix instead of installing RubyGems into the  
default location?

> /usr/local/rubygems/bin/gem:8:in `require': no such file to load --
> rubygems (LoadError)       from /usr/local/rubygems/bin/gem:8

RubyGems needs to be in $LOAD_PATH.  You'll need to set RUBYLIB or  
pass -I to all your scripts to use RubyGems.

It's better if you don't use --prefix and don't set GEM_HOME.